package com.acme.services;

import com.lbs.data.database.DBConnection;
import com.lbs.data.database.DBConnectionPool;
import com.lbs.data.export.CustomObjectFactory;
import com.lbs.data.factory.FactoryParams;
import com.lbs.data.factory.ServerObjectFactory;
import com.lbs.data.objects.CustomBusinessObject;
import com.lbs.platform.interfaces.IServerDataContext;
import com.logopartner.util.ProjectGlobals;


public class CustomServices {

	public CustomServices() {

	}

	public Object selectResult(String param1, String param2) {
		Object[] params = new Object[2];
		params[0] = param1;
		params[1] = param2;
		return params;
	}
	
	public Object selectResult2(String param1, String param2) {
		Object[] params = new Object[2];

		ServerObjectFactory factory = null;
		DBConnection connection = null;
		try {
			connection = DBConnectionPool.getConnection();
			factory = new ServerObjectFactory(connection);
			CustomBusinessObject detay = new CustomBusinessObject(
					ProjectGlobals.getProjectGUID(), "BODoctor");
			FactoryParams fparams = new FactoryParams();
			fparams.setActiveFilter("LOGICALREF > " + param1);
			System.out.println("Param1: " + param1);
			
			boolean ok = factory.first(detay, fparams);
			if (ok == true) {
				param1 = (String) detay.get("Code");
				System.out.println("Param11: " + param1);
			}
			params[0] = param1;
			params[1] = param2;
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			if (factory != null)
				DBConnectionPool.releaseObjectFactory(factory);
		}
		return params;
	}

}
