package com.logopartner.util;

import com.lbs.data.factory.BasicBusinessLogicHandler;
import com.lbs.data.factory.FactoryParams;
import com.lbs.data.factory.IBusinessLogicFactory;
import com.lbs.data.objects.BasicBusinessObject;

public class BLBODoctor extends BasicBusinessLogicHandler {

	public boolean afterDelete(IBusinessLogicFactory arg0, FactoryParams arg1, BasicBusinessObject arg2, BasicBusinessObject arg3) {
		System.out.println("AfterDelete Run!");
		return super.afterDelete(arg0, arg1, arg2, arg3);
	}

	public boolean afterInsert(IBusinessLogicFactory arg0, FactoryParams arg1, BasicBusinessObject arg2, BasicBusinessObject arg3) {
		System.out.println("AfterInsert Run!");
		return super.afterInsert(arg0, arg1, arg2, arg3);
	}

	public boolean afterRead(IBusinessLogicFactory arg0, FactoryParams arg1, BasicBusinessObject arg2, BasicBusinessObject arg3) {
		System.out.println("AfterRead Run!");
		return super.afterRead(arg0, arg1, arg2, arg3);
	}

	public boolean afterUpdate(IBusinessLogicFactory arg0, FactoryParams arg1, BasicBusinessObject arg2, BasicBusinessObject arg3) {
		System.out.println("AfterUpdate Run!");
		return super.afterUpdate(arg0, arg1, arg2, arg3);
	}

	public boolean beforeDelete(IBusinessLogicFactory arg0, FactoryParams arg1, BasicBusinessObject arg2, BasicBusinessObject arg3) {
		System.out.println("BeforeDelete Run!");
		return super.beforeDelete(arg0, arg1, arg2, arg3);
	}

	public boolean beforeInsert(IBusinessLogicFactory arg0, FactoryParams arg1, BasicBusinessObject arg2, BasicBusinessObject arg3) {
		System.out.println("BeforeInsert Run!");
		return super.beforeInsert(arg0, arg1, arg2, arg3);
	}

	public boolean beforeRead(IBusinessLogicFactory arg0, FactoryParams arg1, BasicBusinessObject arg2, BasicBusinessObject arg3) {
		System.out.println("BeforeRead Run!");
		return super.beforeRead(arg0, arg1, arg2, arg3);
	}

	public boolean beforeUpdate(IBusinessLogicFactory arg0, FactoryParams arg1, BasicBusinessObject arg2, BasicBusinessObject arg3) {
		System.out.println("BeforeUpdate Run!");
		return super.beforeUpdate(arg0, arg1, arg2, arg3);
	}

}
